/* Variables
--------------------------------------------- */

:root {
	--fnt-family: "Outfit", sans-serif;
	--fnt-family-alt: "Crimson Pro", serif;

	--clr-light: #fcf7f3;
	--clr-dark: #2b2e2b;

	--clr-primary: #49654e;
	--clr-secondary: #8ba888;
	--clr-tertiary: #d1b276;
}

/* BASE
--------------------------------------------- */

*,
*:before,
*:after {
    box-sizing: border-box;
}

html,
body {
	color: var(--clr-dark);
	font-family: var(--fnt-family);
    font-size: 18px;
	font-weight: 300;
	margin: 0px;
	padding: 0px;
	overflow-x: hidden;
	background-color: var(--clr-light);
	line-height: 1.2;
	text-align: center; 
}

h1, h2, h3, h4 {
	color: var(--clr-primary);
	font-family: var(--fnt-family-alt);
	font-weight: normal;
}

a {
	color: var(--clr-primary);
	text-decoration: underline;
	text-underline-offset: 3px;
}

a:hover {
	color: var(--clr-secondary);
}

hr {
	border-top: 3px solid var(--clr-primary);
	width: 80px;
	margin-left: auto;
	margin-right: auto;
}

/* Layout
--------------------------------------------- */

.site-header {

}

.site-main {

}

.site-footer {

}

/* Components
--------------------------------------------- */

/* Helpers
--------------------------------------------- */

/* Overrides
--------------------------------------------- */

.uk-card-default {
	background-color: rgba(255, 255, 255, 0.1);
}

.uk-button {
	font-family: var(--fnt-family-alt);
	text-transform: none;
	font-size: 1.25em;
	letter-spacing: .05em;
}

.uk-button-primary {
	background-color: var(--clr-primary);
}

.uk-button-primary:hover {
	background-color: var(--clr-secondary);
}

.uk-card {
	text-align: left;
	display: flex;
	align-items: center;
	gap: 1rem;
}

.uk-card > p {
	margin: 0;
	flex: 1;
}

.uk-card > svg {
	fill: var(--clr-tertiary);
	width: 60px;
}